Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 664804 - gpk-application or Add/Remove Software provides a very poor user interface
Summary: gpk-application or Add/Remove Software provides a very poor user interface
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 16
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-21 17:12 UTC by Pavel Šimerda (pavlix)
Modified: 2013-02-14 00:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:49:15 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Šimerda (pavlix) 2010-12-21 17:12:39 UTC
Description of problem:

"Add/Remove Software" lets you check groups you want installed, but I have seen no option to further tweak the group.

This way, the Default Packages and Optional Packages features of package groups are not exposed to the user.

Version-Release number of selected component (if applicable):

gnome-packagekit-2.32.0-2.fc14.i686

How reproducible:

Always

Steps to Reproduce:
1. Run gpk-application aka "Add/Remove Software"
2. Select "package-collections"
3. Select e.g. "Development Tools"
4. Search of a UI element that lets you choose
individual packages from this group.
  
Actual results:

I don't see any way to list packages of the group and select individually.

Expected results:

I expect a one-click way to view all packages in a group with the possibility to select/deselect default/optional packages.

Comment 1 Pavel Šimerda (pavlix) 2011-12-23 23:28:02 UTC
Fedora has packages divided into package groups. The workflow is quite easy with yum, as you can:

1) list groups with 'yum grouplist -v"

2) install groups with 'yum groupinstall G' or 'yum install @G'

3) list packages with 'yum groupinfo G'

4) install individual packages with 'yum install P'

5) combine package and group installation

You cannot do the same with gpk-application as gpk-application doesn't provide you access to individual packages in groups. That means it fails to provide user interface for (3).

This is, in better words' the same as I stated in my original bugreport.

gpk-application instead uses some weird 'favorite package collections' which don't have the correct structure and don't work as expected. They don't help you even a little bit with the above tasks.

The solution would be to provide a UI similar to the one used during installation but enriched with a possibility to edit package selections.

Comment 2 Fedora End Of Life 2013-01-16 22:12:27 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-14 00:49:18 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.